Bug 988454 - RFE: Create a plugin to discover and monitor SonarQube Server
RFE: Create a plugin to discover and monitor SonarQube Server
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.9
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-25 11:54 EDT by Jérémie
Modified: 2014-03-26 04:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-26 04:32:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
First SonarQube Plugin version (81.82 KB, patch)
2013-07-25 11:54 EDT, Jérémie
no flags Details | Diff
SonarQube README file (1.12 KB, patch)
2013-09-03 19:20 EDT, Jérémie
no flags Details | Diff

  None (edit)
Description Jérémie 2013-07-25 11:54:51 EDT
Created attachment 778338 [details]
First SonarQube Plugin version

Description of problem:
Need to monitor and manage SonarQube Server

For the first version, it's nice to have the measure of "Last Analysis Elapsed Time" like the hudson plugin.
Comment 1 Heiko W. Rupp 2013-08-29 04:55:35 EDT
Awesome Jérémie,
thanks for the contribution.

I have checked the plugin into master as 3be5ca9

The plugin is currently not included in the build - I think it would be good if you could add a readme file that explains what it does and how to use it.
Comment 2 Jérémie 2013-09-01 17:41:20 EDT
Thanks Heiko to add this plugin in the master. I hope to see it in the next RHQ release.

Do you want me to add a README file or change the documentation here https://docs.jboss.org/author/display/RHQ/Plugins
I can do both.

Regards,
Jérémie.
Comment 3 Heiko W. Rupp 2013-09-02 03:58:59 EDT
Hey Jérémie,

I think both would be awesome. Or at least a README that points to the wiki.

  Heiko
Comment 4 Jérémie 2013-09-03 19:20:29 EDT
Created attachment 793383 [details]
SonarQube README file
Comment 5 Jérémie 2013-09-03 19:23:16 EDT
I add a patch for the README file and edit the documentation : https://docs.jboss.org/author/display/RHQ/Plugins+-+SonarQube

Hoping that this is a good starting point.

Regards
Jérémie.
Comment 6 Heiko W. Rupp 2013-09-04 05:21:31 EDT
Comment on attachment 793383 [details]
SonarQube README file

added the readme to master as e286719.

Merci :-)
Comment 7 Heiko W. Rupp 2014-03-26 04:32:12 EDT
Bulk closing now that 4.10 is out.

If you think an issue is not resolved, please open a new BZ and link to the existing one.

Note You need to log in before you can comment on or make changes to this bug.